#include "MyroC.h"
#include <stdio.h>   // for printf function
#include <unistd.h>  // for sleep function
int
main ()
{
  //rConnect ("/dev/rfcomm0");
  rConnect ("00:1E:19:01:0E:8C"); // robot at workstation even
  //rConnect ("365827"); // robot at workstation even

  Picture pic = rTakePicture();

  Pixel black = {0, 0, 0};

  printf ("display picture from robot\n");
  rDisplayPicture (&pic, 5, "start");
  int i, j;
  for (i = 0; i < 100; i++)
    for (j = 0; j < 100; j++)
      {
        pic.pix_array[i][j] = black;
      }

  printf ("display picture with black corner\n");
  rDisplayPicture (&pic, 5, "black corner");

    sleep (10);

    rDisconnect();

    return 0;
}
